package org.example.pages;

import com.microsoft.playwright.Locator;
import com.microsoft.playwright.Page;

public class Login {

    Page page;

    // Locator strings for use in playwright
    String username = "id=user-name";
    String password = "id=password";
    String clickLogin = "id=login-button";
    String clickHamburger = "id=react-burger-menu-btn";
    String clickLogout = "id=logout_sidebar_link";

    public Login(Page page) {
        this.page = page;
    }
    public String title() {
        return page.title();
    }

    public Locator usernameField() {
        return page.locator("//*[@id=\"user-name\"]");
    }

    public Locator passwordField() {
        return page.locator("//*[@id=\"password\"]");
    }

    public void loginIntoApplication(String email, String pass) {
        enterUserName(email);
        enterPassword(pass);
        clickLoginButton();}

    public void logoutApplication() {
        clickOnHamburger();
        clickOnLogout(); }

    public void enterUserName(String email) {
        page.fill(username, email);}

    public void enterPassword(String pass) {
        page.fill(password, pass);}

    public void clickLoginButton() {
        page.click(clickLogin);}

    public void clickOnHamburger() {
        page.click(clickHamburger);

    }
    public void clickOnLogout() {
        page.click(clickLogout);}
}